import csv 
import json

def csv_to_json(csvFilePath, jsonFilePath):
    jsonArray = []
      
    #read csv file
    with open(csvFilePath, encoding='utf-8') as csvf: 
        #load csv file data using csv library's dictionary reader
        csvReader = csv.DictReader(csvf) 

        #convert each csv row into python dict
        for row in csvReader: 
            #add this python dict to json array
            jsonArray.append(row)

    #convert python jsonArray to JSON String and write to file
    with open(jsonFilePath, 'w', encoding='utf-8') as jsonf: 
        jsonString = json.dumps(jsonArray, ensure_ascii=False, indent=4)
        print(jsonString)
        jsonf.write(jsonString)
          
csvFilePath = r'playlist.csv'
jsonFilePath = r'playlist.json'

csv_to_json(csvFilePath, jsonFilePath)
